Bug 61151 - Cant edit printer-alternatives
Summary: Cant edit printer-alternatives
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-14 14:28 UTC by Inger Karin Haarbye
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-14 17:47:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Inger Karin Haarbye 2002-03-14 14:28:24 UTC
Description of Problem:

Hampton, beta2, printconf-gui:

I have added a printer: lp
trying to edit->alternatives
the box just vanishes.

Version-Release number of selected component (if applicable):

printconf-0.3.71-1
printconf-gui-0.3.71-1

How Reproducible:

always

Steps to Reproduce:
1. Added the new printer. 
2. Save, and restart lpd.
3. Edit "lp" -> alternativs

Actual Results:

The edit-box just vanish.

Expected Results:

I would like to be able to edit paper-size, dpi, colors etc.

Additional Information:

Epson Stylus Color 880, gimp-print.

Comment 1 Tim Waugh 2002-03-14 14:38:10 UTC
I'm not sure what you mean by 'alternatives'.  Driver options?  Aliases?  Please
be more specific about which buttons you press in what order.  Thanks.

Comment 2 Inger Karin Haarbye 2002-03-14 15:27:56 UTC
'driver alternatives' was the translation of the norvegian text, but using US
language, I can see 'driver options' is used.

Comment 3 Tim Waugh 2002-03-14 15:36:53 UTC
Are you starting printconf-gui from the command line?  Is there any output when
it crashes?

Comment 4 Inger Karin Haarbye 2002-03-14 15:47:25 UTC
Yes I start printconf-gui from command-line (it does not work else - at least not for user).
The printconf-gui does not crash, only the "edit" box. No output. 


Comment 5 Tim Waugh 2002-03-14 15:50:55 UTC
> Yes I start printconf-gui from command-line (it does not work else - at least
> not for user).

Yes, I believe that to be a usermode bug.

> The printconf-gui does not crash, only the "edit" box. No output. 

I haven't managed to reproduce this yet.  What version of foomatic do you have?

If you upgrade printconf and printconf-gui to the current rawhide versions
(0.3.73-1), does the problem go away? (Probably not..)

Comment 6 Inger Karin Haarbye 2002-03-14 16:08:34 UTC
> I haven't managed to reproduce this yet.  What version of foomatic do you have?

foomatic-1.1-0.20020130.9

I can only reproduce this with the gimp-print driver (epson stylus color 880).
If I use a different driver, stc740ih.upp, I can edit the driver options.
I can remember a similar bug I have reported in earlier versions, #52998, but 
I don't get any output now.

> If you upgrade printconf and printconf-gui to the current rawhide versions
> (0.3.73-1), does the problem go away? (Probably not..)

Same result.


Comment 7 Tim Waugh 2002-06-17 15:51:52 UTC
I'm pretty sure this is fixed in the current release.


Note You need to log in before you can comment on or make changes to this bug.